### Hierarchy

- Controller

## Index

### Properties

- $element_
- $filter_
- $scope_
- control_
- gettextCatalog_
- map
- options_
- projection
- projections

### Methods

- $onInit
- initOlControl_
- setProjection

## Properties

### $element_

$element_: JQuery<HTMLElement>

- Defined in src/map/mousepositionComponent.js:139

### $filter_

$filter_: IFilterService

- Defined in src/map/mousepositionComponent.js:144

### $scope_

$scope_: IScope

- Defined in src/map/mousepositionComponent.js:129

### control_

control_: MousePosition

- Defined in src/map/mousepositionComponent.js:149

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/map/mousepositionComponent.js:134

### map

map: Map

- Defined in src/map/mousepositionComponent.js:114

### options_

options_: any

- Defined in src/map/mousepositionComponent.js:109

### projection

projection: any

- Defined in src/map/mousepositionComponent.js:124

### projections

projections: any[]

- Defined in src/map/mousepositionComponent.js:119

## Methods

### $onInit

- $onInit(): void

- - Defined in src/map/mousepositionComponent.js:155

  Initialise the controller.

  #### Returns void

### initOlControl_

- initOlControl_(): void

- - Defined in src/map/mousepositionComponent.js:167

  Init the ol.control.MousePosition

  #### Returns void

### setProjection

- setProjection(projection: any): void

- - Defined in src/map/mousepositionComponent.js:215

  #### Parameters

  - ##### projection: any

    The new projection to use.

  #### Returns void

Generated using TypeDoc